[RESOLVED] Anyone w/ LibreOffice 6.4.0/1 able to open help?

Everything about X, Gnome, KDE, ... and everything running on it

[RESOLVED] Anyone w/ LibreOffice 6.4.0/1 able to open help?

Postby stevepusser » 2020-02-11 04:27

Either in upstream Debian, or from buster-backports? I and others using MX 19 are getting an error about not having permissions to open an object, both with the F1 key and from its menu. :(
Last edited by stevepusser on 2020-02-22 03:31, edited 2 times in total.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Kodi 18.6, Blender 2.8.2, 5.5 kernels, Chromium with va-api, Telegram-desktop 1.9.21, Clipgrab 3.8.11
User avatar
stevepusser
 
Posts: 11557
Joined: 2009-10-06 05:53

Re: Is anyone w/ Debian's LibreOffice 6.4.0 able to open hel

Postby Chrisdb » 2020-02-11 06:11

This is the backported version.... I will try and get back to you this evening.

Wild guess, could it be related to the apparmor profile?
Chrisdb
 
Posts: 273
Joined: 2018-04-10 07:16

Re: Is anyone w/ Debian's LibreOffice 6.4.0 able to open hel

Postby Bloom » 2020-02-11 08:23

I don't run MX but plain Debian and I can open LO 6.4's help without any problems. You need to have the libreoffice-help package for your language installed, though.
User avatar
Bloom
 
Posts: 224
Joined: 2017-11-11 12:23

Re: Is anyone w/ Debian's LibreOffice 6.4.0 able to open hel

Postby stevepusser » 2020-02-11 18:14

Bloom wrote:I don't run MX but plain Debian and I can open LO 6.4's help without any problems. You need to have the libreoffice-help package for your language installed, though.


Yes, that was the first thing I tried, as well as install all recommended packages, and booting with systemd and without it, but no cigar. By "plain Debian", I assume you mean you're running Buster and installed the backports version of LO, not any of the other options (deb from website, appimage, snap, etc).

I'll look into the apparmor suggestion, but I don't know much about that setup.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Kodi 18.6, Blender 2.8.2, 5.5 kernels, Chromium with va-api, Telegram-desktop 1.9.21, Clipgrab 3.8.11
User avatar
stevepusser
 
Posts: 11557
Joined: 2009-10-06 05:53

Re: Is anyone w/ Debian's LibreOffice 6.4.0 able to open hel

Postby Chrisdb » 2020-02-11 19:32

ok I can confirm the same issue using the backported version:
Object not accesible. The object cannot be accessed due to insufficient user rights.


So it seems to be a general issue...
Chrisdb
 
Posts: 273
Joined: 2018-04-10 07:16

Re: Is anyone w/ Debian's LibreOffice 6.4.0 able to open hel

Postby stevepusser » 2020-02-19 19:17

I ended up backporting the 6.4.1~rc1 version that's currently in Buster and Sid, and the help issue persists, though it can be easily worked around. Can any Bullseye/Sid users check to see if they have the same sort of issue?
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Kodi 18.6, Blender 2.8.2, 5.5 kernels, Chromium with va-api, Telegram-desktop 1.9.21, Clipgrab 3.8.11
User avatar
stevepusser
 
Posts: 11557
Joined: 2009-10-06 05:53

Re: Is anyone w/ Debian's LibreOffice 6.4.0 able to open hel

Postby stevepusser » 2020-02-19 19:22

Bloom wrote:I don't run MX but plain Debian and I can open LO 6.4's help without any problems. You need to have the libreoffice-help package for your language installed, though.


And...how about
Code: Select all
apt policy libreoffice


and what Debian you're running, please. Trying to track down a bug without that type of information is very difficult.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Kodi 18.6, Blender 2.8.2, 5.5 kernels, Chromium with va-api, Telegram-desktop 1.9.21, Clipgrab 3.8.11
User avatar
stevepusser
 
Posts: 11557
Joined: 2009-10-06 05:53

Re: Is anyone w/ Debian's LibreOffice 6.4.0/1 able to open h

Postby Bloom » 2020-02-19 22:58

I have desktops running Bullseye and Sid. No problems whatsoever.
Code: Select all
apt policy libreoffice

yields (this is a Sid system but with repos for Testing & Stable enabled):
libreoffice:
Installed: 1:6.4.1~rc1-2
Candidate: 1:6.4.1~rc1-2
Version Table:
*** 1:6.4.1~rc1-2 900
900 http://ftp.be.debian.org/debian sid/main amd64 Packages
-10 http://ftp.be.debian.org/debian testing/main amd64 Packages
100 /var/lib/dpkg/status
1:6.1.5-3+deb10u5 -10
-10 http://ftp.be.debian.org/debian stable/main amd64 Packages
1:5.2.7-1+deb9u11 -10
-10 http://ftp.be.debian.org/debian oldstable/main amd64 Packages
User avatar
Bloom
 
Posts: 224
Joined: 2017-11-11 12:23

Re: [RESOLVED] Anyone w/ LibreOffice 6.4.0/1 able to open he

Postby stevepusser » 2020-02-22 03:32

Seems to be fixed now in backports!
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Kodi 18.6, Blender 2.8.2, 5.5 kernels, Chromium with va-api, Telegram-desktop 1.9.21, Clipgrab 3.8.11
User avatar
stevepusser
 
Posts: 11557
Joined: 2009-10-06 05:53


Return to Desktop & Multimedia

Who is online

Users browsing this forum: No registered users and 8 guests

fashionable